import '../kv_utils.dart';

class IosUpdateConfig {
  String en_able;
  String up_title;
  String up_content;
  String up_new_version;
  String up_confirm_text;
  String up_strategy_force;
  String up_targeturl;
  bool forceUpdate = false;

  Future<IosUpdateConfig> initConfig() async {
    this.en_able =
        await OnlineConfigUtils.getInstance().getConfigParams("enable_up");
    this.up_confirm_text = await OnlineConfigUtils.getInstance()
        .getConfigParams("up_confirm_text");
    this.up_content =
        await OnlineConfigUtils.getInstance().getConfigParams("up_content");
    this.up_new_version =
        await OnlineConfigUtils.getInstance().getConfigParams("up_new_version");
    this.up_strategy_force = await OnlineConfigUtils.getInstance()
        .getConfigParams("up_strategy_force");
    this.up_targeturl =
        await OnlineConfigUtils.getInstance().getConfigParams("up_targeturl");
    this.up_title =
        await OnlineConfigUtils.getInstance().getConfigParams("up_title");
    this.forceUpdate = (up_strategy_force == "true");
    return this;
  }
}
